# Uses of Interface
org.eclipse.pde.core.project.IPackageExportDescription

Packages that use IPackageExportDescription
Package
Description
org.eclipse.pde.core.project
Application programming interfaces to create new plug-in projects programmatically.

## Uses of IPackageExportDescription in org.eclipse.pde.core.project

Methods in org.eclipse.pde.core.project that return IPackageExportDescription
Modifier and Type
Method
Description
`IPackageExportDescription[]`
IBundleProjectDescription.`getPackageExports()`
Returns the value of the Export-Package header or `null` if unspecified.
`IPackageExportDescription`
IBundleProjectService.`newPackageExport(String name, Version version, boolean api, String[] friends)`
Constructs a new package export description.
Methods in org.eclipse.pde.core.project with parameters of type IPackageExportDescription
Modifier and Type
Method
Description
`void`
IBundleProjectDescription.`setPackageExports(IPackageExportDescription[] exports)`
Sets the value of the Export-Package header for the described bundle.